<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../org/gradle/api/package-summary.html" target="classFrame">org.gradle.api</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="Action.html" title="interface in org.gradle.api" target="classFrame"><i>Action</i></a></li>
<li><a href="ActionConfiguration.html" title="interface in org.gradle.api" target="classFrame"><i>ActionConfiguration</i></a></li>
<li><a href="Buildable.html" title="interface in org.gradle.api" target="classFrame"><i>Buildable</i></a></li>
<li><a href="BuildableComponentSpec.html" title="interface in org.gradle.api" target="classFrame"><i>BuildableComponentSpec</i></a></li>
<li><a href="CheckableComponentSpec.html" title="interface in org.gradle.api" target="classFrame"><i>CheckableComponentSpec</i></a></li>
<li><a href="Describable.html" title="interface in org.gradle.api" target="classFrame"><i>Describable</i></a></li>
<li><a href="DomainObjectCollection.html" title="interface in org.gradle.api" target="classFrame"><i>DomainObjectCollection</i></a></li>
<li><a href="DomainObjectSet.html" title="interface in org.gradle.api" target="classFrame"><i>DomainObjectSet</i></a></li>
<li><a href="ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api" target="classFrame"><i>ExtensiblePolymorphicDomainObjectContainer</i></a></li>
<li><a href="Named.html" title="interface in org.gradle.api" target="classFrame"><i>Named</i></a></li>
<li><a href="NamedDomainObjectCollection.html" title="interface in org.gradle.api" target="classFrame"><i>NamedDomainObjectCollection</i></a></li>
<li><a href="NamedDomainObjectContainer.html" title="interface in org.gradle.api" target="classFrame"><i>NamedDomainObjectContainer</i></a></li>
<li><a href="NamedDomainObjectFactory.html" title="interface in org.gradle.api" target="classFrame"><i>NamedDomainObjectFactory</i></a></li>
<li><a href="NamedDomainObjectList.html" title="interface in org.gradle.api" target="classFrame"><i>NamedDomainObjectList</i></a></li>
<li><a href="NamedDomainObjectSet.html" title="interface in org.gradle.api" target="classFrame"><i>NamedDomainObjectSet</i></a></li>
<li><a href="Namer.html" title="interface in org.gradle.api" target="classFrame"><i>Namer</i></a></li>
<li><a href="Plugin.html" title="interface in org.gradle.api" target="classFrame"><i>Plugin</i></a></li>
<li><a href="PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api" target="classFrame"><i>PolymorphicDomainObjectContainer</i></a></li>
<li><a href="Project.html" title="interface in org.gradle.api" target="classFrame"><i>Project</i></a></li>
<li><a href="ProjectEvaluationListener.html" title="interface in org.gradle.api" target="classFrame"><i>ProjectEvaluationListener</i></a></li>
<li><a href="ProjectState.html" title="interface in org.gradle.api" target="classFrame"><i>ProjectState</i></a></li>
<li><a href="Rule.html" title="interface in org.gradle.api" target="classFrame"><i>Rule</i></a></li>
<li><a href="Script.html" title="interface in org.gradle.api" target="classFrame"><i>Script</i></a></li>
<li><a href="Task.html" title="interface in org.gradle.api" target="classFrame"><i>Task</i></a></li>
<li><a href="Transformer.html" title="interface in org.gradle.api" target="classFrame"><i>Transformer</i></a></li>
<li><a href="XmlProvider.html" title="interface in org.gradle.api" target="classFrame"><i>XmlProvider</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="AntBuilder.html" title="class in org.gradle.api" target="classFrame">AntBuilder</a></li>
<li><a href="DefaultTask.html" title="class in org.gradle.api" target="classFrame">DefaultTask</a></li>
<li><a href="Named.Namer.html" title="class in org.gradle.api" target="classFrame">Named.Namer</a></li>
<li><a href="Namer.Comparator.html" title="class in org.gradle.api" target="classFrame">Namer.Comparator</a></li>
<li><a href="Task.Namer.html" title="class in org.gradle.api" target="classFrame">Task.Namer</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="AntBuilder.AntMessagePriority.html" title="enum in org.gradle.api" target="classFrame">AntBuilder.AntMessagePriority</a></li>
<li><a href="JavaVersion.html" title="enum in org.gradle.api" target="classFrame">JavaVersion</a></li>
<li><a href="PathValidation.html" title="enum in org.gradle.api" target="classFrame">PathValidation</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="BuildCancelledException.html" title="class in org.gradle.api" target="classFrame">BuildCancelledException</a></li>
<li><a href="CircularReferenceException.html" title="class in org.gradle.api" target="classFrame">CircularReferenceException</a></li>
<li><a href="GradleException.html" title="class in org.gradle.api" target="classFrame">GradleException</a></li>
<li><a href="GradleScriptException.html" title="class in org.gradle.api" target="classFrame">GradleScriptException</a></li>
<li><a href="IllegalDependencyNotation.html" title="class in org.gradle.api" target="classFrame">IllegalDependencyNotation</a></li>
<li><a href="InvalidActionClosureException.html" title="class in org.gradle.api" target="classFrame">InvalidActionClosureException</a></li>
<li><a href="InvalidUserCodeException.html" title="class in org.gradle.api" target="classFrame">InvalidUserCodeException</a></li>
<li><a href="InvalidUserDataException.html" title="class in org.gradle.api" target="classFrame">InvalidUserDataException</a></li>
<li><a href="ProjectConfigurationException.html" title="class in org.gradle.api" target="classFrame">ProjectConfigurationException</a></li>
<li><a href="UncheckedIOException.html" title="class in org.gradle.api" target="classFrame">UncheckedIOException</a></li>
<li><a href="UnknownDomainObjectException.html" title="class in org.gradle.api" target="classFrame">UnknownDomainObjectException</a></li>
<li><a href="UnknownProjectException.html" title="class in org.gradle.api" target="classFrame">UnknownProjectException</a></li>
<li><a href="UnknownTaskException.html" title="class in org.gradle.api" target="classFrame">UnknownTaskException</a></li>
</ul>
<h2 title="Annotation Types">Annotation Types</h2>
<ul title="Annotation Types">
<li><a href="HasImplicitReceiver.html" title="annotation in org.gradle.api" target="classFrame">HasImplicitReceiver</a></li>
<li><a href="Incubating.html" title="annotation in org.gradle.api" target="classFrame">Incubating</a></li>
<li><a href="NonExtensible.html" title="annotation in org.gradle.api" target="classFrame">NonExtensible</a></li>
<li><a href="NonNullApi.html" title="annotation in org.gradle.api" target="classFrame">NonNullApi</a></li>
<li><a href="Nullable.html" title="annotation in org.gradle.api" target="classFrame">Nullable</a></li>
</ul>
</div>
</body>
</html>
